      SUBROUTINE PARAMS                                                 PARA001
C-----------------------------------------------------------------------PARA002
C                                                                       PARA003
C  SUBROUTINE PARAMS  -  Read in program parameters from parameter file PARA004
C                                                                       PARA005
C----------------------------------------------------------------------+PARA006
                                                                        PARA007
      INCLUDE 'bplot.inc'                                               PARA008
                                                                        PARA009
      CHARACTER*1   YESNO                                               PARA010
CHECK v.3.4-->                                                          PARA011
      CHARACTER*80  IREC                                                PARA012
CHECK v.3.4<--                                                          PARA013
      INTEGER       I, ICOL, LINE                                       PARA014
CHECK v.3.4-->                                                          PARA015
C      LOGICAL       ALLCOL, FINERR                                     PARA016
      LOGICAL       ALLCOL, ENDCOL, FINERR                              PARA017
CHECK v.3.4<--                                                          PARA018
      REAL          RNUMB                                               PARA019
                                                                        PARA020
C---- Initialise variables and set default parameter values             PARA021
      FINERR = .FALSE.                                                  PARA022
      LINE = 0                                                          PARA023
                                                                        PARA024
C---- Open parameter file                                               PARA025
CHECK v.3.1-->                                                          PARA026
C      OPEN(UNIT=1, FILE='procheck.prm', STATUS='OLD',                  PARA027
      OPEN(UNIT=10, FILE='procheck.prm', STATUS='OLD',                  PARA028
CHECK v.3.1<--                                                          PARA029
     &     FORM='FORMATTED', ACCESS='SEQUENTIAL',                       PARA030
CVAX     -     CARRIAGECONTROL = 'LIST', READONLY,                      PARA031
     &     ERR=900)                                                     PARA032
                                                                        PARA033
C---- Read in the parameters                                            PARA034
                                                                        PARA035
C---- Check that have the right version number in the parameter file    PARA036
CHECK v.3.2-->                                                          PARA037
C      CALL FINKEY('PROCHECK v.3.0',14,LINE,FINERR)                     PARA038
      CALL FINKEY('PROCHECK v.3.3',14,LINE,FINERR)                      PARA039
      IF (FINERR) THEN                                                  PARA040
          CALL FINKEY('PROCHECK v.3',12,LINE,FINERR)                    PARA041
          IF (FINERR) THEN                                              PARA042
              GO TO 901                                                 PARA043
          ELSE                                                          PARA044
              PRINT*, '* Warning. Parameter file not up-to-date'        PARA045
              PRINT*, '*          Defaults will be used for missing',   PARA046
     &            ' items'                                              PARA047
          ENDIF                                                         PARA048
      ENDIF                                                             PARA049
CHECK v.3.2<--                                                          PARA050
      IF (FINERR) GO TO 901                                             PARA051
                                                                        PARA052
C---- Find the colours key-word                                         PARA053
      CALL FINKEY('Colours',7,LINE,FINERR)                              PARA054
      IF (FINERR) GO TO 990                                             PARA055
                                                                        PARA056
C---- Read in all the RGB colours and corresponding colour names        PARA057
CHECK v.3.4-->                                                          PARA058
C      DO 100, ICOL = 1, MXCOLR                                         PARA059
C          LINE = LINE + 1                                              PARA060
CCHECK v.3.1-->                                                         PARA061
CC          READ(1,*,END=902,ERR=904) (RGB(I, ICOL), I = 1, 3),         PARA062
C          READ(10,*,END=902,ERR=904) (RGB(I, ICOL), I = 1, 3),         PARA063
CCHECK v.3.1<--                                                         PARA064
C     -        COLNAM(ICOL)                                             PARA065
C 100  CONTINUE                                                         PARA066
      ENDCOL = .FALSE.                                                  PARA067
      NCOLOR = MXCOLR                                                   PARA068
      DO 100, ICOL = 1, MXCOLR                                          PARA069
          IF (.NOT.ENDCOL) THEN                                         PARA070
              LINE = LINE + 1                                           PARA071
              READ(10,20,END=902,ERR=904) IREC                          PARA072
 20           FORMAT(A)                                                 PARA073
              IF (IREC.EQ.' ') THEN                                     PARA074
                  ENDCOL = .TRUE.                                       PARA075
              ELSE                                                      PARA076
                  READ(IREC,*,ERR=904) (RGB(I,ICOL), I = 1, 3),         PARA077
     &                COLNAM(ICOL)                                      PARA078
                  NCOLOR = ICOL                                         PARA079
              ENDIF                                                     PARA080
          ENDIF                                                         PARA081
                                                                        PARA082
C----     If have reached end of colours then insert default            PARA083
          IF (ENDCOL) THEN                                              PARA084
              RGB(1,ICOL) = 0.0                                         PARA085
              RGB(2,ICOL) = 0.0                                         PARA086
              RGB(3,ICOL) = 0.0                                         PARA087
              COLNAM(ICOL) = 'WHITE'                                    PARA088
          ENDIF                                                         PARA089
 100  CONTINUE                                                          PARA090
CHECK v.3.4<--                                                          PARA091
                                                                        PARA092
C---- Determine whether all plots are to be in colour                   PARA093
                                                                        PARA094
C---- Find the colour-all-plots keywords                                PARA095
      CALL FINKEY('Colour all plots?',17,LINE,FINERR)                   PARA096
      IF (FINERR) GO TO 990                                             PARA097
                                                                        PARA098
C---- Determine whether all plots are to be in colour                   PARA099
      LINE = LINE + 1                                                   PARA100
CHECK v.3.1-->                                                          PARA101
C      READ(1,120,END=902,ERR=904) YESNO                                PARA102
      READ(10,120,END=902,ERR=904) YESNO                                PARA103
CHECK v.3.1<--                                                          PARA104
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA105
          ALLCOL = .TRUE.                                               PARA106
      ELSE                                                              PARA107
          ALLCOL = .FALSE.                                              PARA108
      ENDIF                                                             PARA109
                                                                        PARA110
C---- Determine which plots are to be produced                          PARA111
                                                                        PARA112
C---- Find the "Which plots" keyword                                    PARA113
      CALL FINKEY('Which plots',11,LINE,FINERR)                         PARA114
      IF (FINERR) GO TO 990                                             PARA115
                                                                        PARA116
C---- Skip the first 6 options as these done by tplot.f and pplot.f     PARA117
      DO 150, I = 1, 6                                                  PARA118
          LINE = LINE + 1                                               PARA119
CHECK v.3.1-->                                                          PARA120
C          READ(1,120,END=902,ERR=904) YESNO                            PARA121
          READ(10,120,END=902,ERR=904) YESNO                            PARA122
CHECK v.3.1<--                                                          PARA123
 120      FORMAT(A)                                                     PARA124
 150  CONTINUE                                                          PARA125
                                                                        PARA126
C---- 7. Main-chain bond-length distributions (Y/N)                     PARA127
      LINE = LINE + 1                                                   PARA128
CHECK v.3.1-->                                                          PARA129
C      READ(1,120,END=902,ERR=904) YESNO                                PARA130
      READ(10,120,END=902,ERR=904) YESNO                                PARA131
CHECK v.3.1<--                                                          PARA132
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA133
          PLOTBL = .TRUE.                                               PARA134
      ELSE                                                              PARA135
          PLOTBL = .FALSE.                                              PARA136
      ENDIF                                                             PARA137
                                                                        PARA138
C---- 8. Main-chain bond-angle distributions (Y/N)                      PARA139
      LINE = LINE + 1                                                   PARA140
CHECK v.3.1-->                                                          PARA141
C      READ(1,120,END=902,ERR=904) YESNO                                PARA142
      READ(10,120,END=902,ERR=904) YESNO                                PARA143
CHECK v.3.1<--                                                          PARA144
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA145
          PLOTBA = .TRUE.                                               PARA146
      ELSE                                                              PARA147
          PLOTBA = .FALSE.                                              PARA148
      ENDIF                                                             PARA149
                                                                        PARA150
C---- 9. RMS distances from planarity (Y/N)                             PARA151
      LINE = LINE + 1                                                   PARA152
CHECK v.3.1-->                                                          PARA153
C      READ(1,120,END=902,ERR=904) YESNO                                PARA154
      READ(10,120,END=902,ERR=904) YESNO                                PARA155
CHECK v.3.1<--                                                          PARA156
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA157
          PLOTPL = .TRUE.                                               PARA158
      ELSE                                                              PARA159
          PLOTPL = .FALSE.                                              PARA160
      ENDIF                                                             PARA161
                                                                        PARA162
C---- 10. Distorted geometry plots (Y/N)                                PARA163
      LINE = LINE + 1                                                   PARA164
CHECK v.3.1-->                                                          PARA165
C      READ(1,120,END=902,ERR=904) YESNO                                PARA166
      READ(10,120,END=902,ERR=904) YESNO                                PARA167
CHECK v.3.1<--                                                          PARA168
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA169
          PLOTDG = .TRUE.                                               PARA170
      ELSE                                                              PARA171
          PLOTDG = .FALSE.                                              PARA172
      ENDIF                                                             PARA173
                                                                        PARA174
C---- Read in the plot parameters                                       PARA175
                                                                        PARA176
C---- 7. Main-chain bond-length distributions                           PARA177
                                                                        PARA178
C---- Find the Main-chain bond lengths key-word                         PARA179
      CALL FINKEY('7. Main-chain bond length',25,LINE,FINERR)           PARA180
      IF (FINERR) GO TO 990                                             PARA181
      PLTYPE = 1                                                        PARA182
                                                                        PARA183
C---- Plot options                                                      PARA184
                                                                        PARA185
C---- Background shading (Y/N)?                                         PARA186
      LINE = LINE + 1                                                   PARA187
CHECK v.3.1-->                                                          PARA188
C      READ(1,120,END=902,ERR=904) YESNO                                PARA189
      READ(10,120,END=902,ERR=904) YESNO                                PARA190
CHECK v.3.1<--                                                          PARA191
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA192
          BSHADE(PLTYPE) = .TRUE.                                       PARA193
      ELSE                                                              PARA194
          BSHADE(PLTYPE) = .FALSE.                                      PARA195
      ENDIF                                                             PARA196
                                                                        PARA197
C---- No. of standard deviations for highlighting                       PARA198
      LINE = LINE + 1                                                   PARA199
CHECK v.3.1-->                                                          PARA200
C      READ(1,*,END=902,ERR=904) RNUMB                                  PARA201
      READ(10,*,END=902,ERR=904) RNUMB                                  PARA202
CHECK v.3.1<--                                                          PARA203
      LIMRES(PLTYPE) = RNUMB                                            PARA204
      IF (LIMRES(PLTYPE).LT.0.0) LIMRES(PLTYPE) = 0.0                   PARA205
      IF (LIMRES(PLTYPE).GT.99.9) LIMRES(PLTYPE) = 99.9                 PARA206
                                                                        PARA207
C---- Produce a black-and-white or colour PostScript file               PARA208
      LINE = LINE + 1                                                   PARA209
CHECK v.3.1-->                                                          PARA210
C      READ(1,120,END=902,ERR=904) YESNO                                PARA211
      READ(10,120,END=902,ERR=904) YESNO                                PARA212
CHECK v.3.1<--                                                          PARA213
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA214
          INCOLR(PLTYPE) = .TRUE.                                       PARA215
      ELSE                                                              PARA216
          INCOLR(PLTYPE) = .FALSE.                                      PARA217
      ENDIF                                                             PARA218
                                                                        PARA219
C---- Get each of the user-defined colours for this plot                PARA220
      DO 200, ICOL = 1, 4                                               PARA221
          CALL GETCOL(COLPLT(PLTYPE,ICOL),LINE,COLNAM,MXCOLR)           PARA222
 200  CONTINUE                                                          PARA223
                                                                        PARA224
C---- 8. Main-chain bond-angle distributions                            PARA225
                                                                        PARA226
C---- Find the Main-chain bond angles key-word                          PARA227
      CALL FINKEY('8. Main-chain bond angle',24,LINE,FINERR)            PARA228
      IF (FINERR) GO TO 990                                             PARA229
      PLTYPE = 2                                                        PARA230
                                                                        PARA231
C---- Plot options                                                      PARA232
                                                                        PARA233
C---- Background shading (Y/N)?                                         PARA234
      LINE = LINE + 1                                                   PARA235
CHECK v.3.1-->                                                          PARA236
C      READ(1,120,END=902,ERR=904) YESNO                                PARA237
      READ(10,120,END=902,ERR=904) YESNO                                PARA238
CHECK v.3.1<--                                                          PARA239
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA240
          BSHADE(PLTYPE) = .TRUE.                                       PARA241
      ELSE                                                              PARA242
          BSHADE(PLTYPE) = .FALSE.                                      PARA243
      ENDIF                                                             PARA244
                                                                        PARA245
C---- No. of standard deviations for highlighting                       PARA246
      LINE = LINE + 1                                                   PARA247
CHECK v.3.1-->                                                          PARA248
C      READ(1,*,END=902,ERR=904) RNUMB                                  PARA249
      READ(10,*,END=902,ERR=904) RNUMB                                  PARA250
CHECK v.3.1<--                                                          PARA251
      LIMRES(PLTYPE) = RNUMB                                            PARA252
      IF (LIMRES(PLTYPE).LT.0.0) LIMRES(PLTYPE) = 0.0                   PARA253
      IF (LIMRES(PLTYPE).GT.99.9) LIMRES(PLTYPE) = 99.9                 PARA254
                                                                        PARA255
C---- Produce a black-and-white or colour PostScript file               PARA256
      LINE = LINE + 1                                                   PARA257
CHECK v.3.1-->                                                          PARA258
C      READ(1,120,END=902,ERR=904) YESNO                                PARA259
      READ(10,120,END=902,ERR=904) YESNO                                PARA260
CHECK v.3.1<--                                                          PARA261
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA262
          INCOLR(PLTYPE) = .TRUE.                                       PARA263
      ELSE                                                              PARA264
          INCOLR(PLTYPE) = .FALSE.                                      PARA265
      ENDIF                                                             PARA266
                                                                        PARA267
C---- Get each of the user-defined colours for this plot                PARA268
      DO 300, ICOL = 1, 4                                               PARA269
          CALL GETCOL(COLPLT(PLTYPE,ICOL),LINE,COLNAM,MXCOLR)           PARA270
 300  CONTINUE                                                          PARA271
                                                                        PARA272
C---- 9. RMS distances from planarity                                   PARA273
                                                                        PARA274
C---- Find the planar groups key-word                                   PARA275
      CALL FINKEY('9. RMS distances',16,LINE,FINERR)                    PARA276
      IF (FINERR) GO TO 990                                             PARA277
      PLTYPE = 3                                                        PARA278
                                                                        PARA279
C---- Plot options                                                      PARA280
                                                                        PARA281
C---- Background shading (Y/N)?                                         PARA282
      LINE = LINE + 1                                                   PARA283
CHECK v.3.1-->                                                          PARA284
C      READ(1,120,END=902,ERR=904) YESNO                                PARA285
      READ(10,120,END=902,ERR=904) YESNO                                PARA286
CHECK v.3.1<--                                                          PARA287
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA288
          BSHADE(PLTYPE) = .TRUE.                                       PARA289
      ELSE                                                              PARA290
          BSHADE(PLTYPE) = .FALSE.                                      PARA291
      ENDIF                                                             PARA292
                                                                        PARA293
C---- RMS distance from planarity for highlighting for planar groups    PARA294
      LINE = LINE + 1                                                   PARA295
CHECK v.3.1-->                                                          PARA296
C      READ(1,*,END=902,ERR=904) RNUMB                                  PARA297
      READ(10,*,END=902,ERR=904) RNUMB                                  PARA298
CHECK v.3.1<--                                                          PARA299
      LIMPLN(1) = RNUMB                                                 PARA300
      IF (LIMPLN(1).LT.0.0) LIMPLN(1) = 0.0                             PARA301
      IF (LIMPLN(1).GT.99.9) LIMPLN(1) = 99.9                           PARA302
                                                                        PARA303
C---- RMS distance from planarity for highlighting for other groups     PARA304
      LINE = LINE + 1                                                   PARA305
CHECK v.3.1-->                                                          PARA306
C      READ(1,*,END=902,ERR=904) RNUMB                                  PARA307
      READ(10,*,END=902,ERR=904) RNUMB                                  PARA308
CHECK v.3.1<--                                                          PARA309
      LIMPLN(2) = RNUMB                                                 PARA310
      IF (LIMPLN(2).LT.0.0) LIMPLN(2) = 0.0                             PARA311
      IF (LIMPLN(2).GT.99.9) LIMPLN(2) = 99.9                           PARA312
                                                                        PARA313
C---- Produce a black-and-white or colour PostScript file               PARA314
      LINE = LINE + 1                                                   PARA315
CHECK v.3.1-->                                                          PARA316
C      READ(1,120,END=902,ERR=904) YESNO                                PARA317
      READ(10,120,END=902,ERR=904) YESNO                                PARA318
CHECK v.3.1<--                                                          PARA319
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA320
          INCOLR(PLTYPE) = .TRUE.                                       PARA321
      ELSE                                                              PARA322
          INCOLR(PLTYPE) = .FALSE.                                      PARA323
      ENDIF                                                             PARA324
                                                                        PARA325
C---- Get each of the user-defined colours for this plot                PARA326
      DO 400, ICOL = 1, 4                                               PARA327
          CALL GETCOL(COLPLT(PLTYPE,ICOL),LINE,COLNAM,MXCOLR)           PARA328
 400  CONTINUE                                                          PARA329
                                                                        PARA330
C---- 10. Distorted geometry plots                                      PARA331
                                                                        PARA332
C---- Find the distorted geometry key-word                              PARA333
      CALL FINKEY('10. Distorted geometry',22,LINE,FINERR)              PARA334
      IF (FINERR) GO TO 990                                             PARA335
      PLTYPE = 4                                                        PARA336
                                                                        PARA337
C---- Plot options                                                      PARA338
                                                                        PARA339
C---- Deviations from ideal bond-length (A)                             PARA340
      LINE = LINE + 1                                                   PARA341
CHECK v.3.1-->                                                          PARA342
C      READ(1,*,END=902,ERR=904) RNUMB                                  PARA343
      READ(10,*,END=902,ERR=904) RNUMB                                  PARA344
CHECK v.3.1<--                                                          PARA345
      DGLIML = RNUMB                                                    PARA346
      IF (DGLIML.LT.0.0) DGLIML = 0.0                                   PARA347
      IF (DGLIML.GT.99.9) DGLIML = 99.9                                 PARA348
                                                                        PARA349
C---- Deviations from ideal bond angles (degrees)                       PARA350
      LINE = LINE + 1                                                   PARA351
CHECK v.3.1-->                                                          PARA352
C      READ(1,*,END=902,ERR=904) RNUMB                                  PARA353
      READ(10,*,END=902,ERR=904) RNUMB                                  PARA354
CHECK v.3.1<--                                                          PARA355
      DGLIMA = RNUMB                                                    PARA356
      IF (DGLIMA.LT.0.0) DGLIMA = 0.0                                   PARA357
      IF (DGLIMA.GT.99.9) DGLIMA = 99.9                                 PARA358
                                                                        PARA359
C---- RMS dists from plane for ring atoms                               PARA360
      LINE = LINE + 1                                                   PARA361
CHECK v.3.1-->                                                          PARA362
C      READ(1,*,END=902,ERR=904) RNUMB                                  PARA363
      READ(10,*,END=902,ERR=904) RNUMB                                  PARA364
CHECK v.3.1<--                                                          PARA365
      DGLIMR = RNUMB                                                    PARA366
      IF (DGLIMR.LT.0.0) DGLIMR = 0.0                                   PARA367
      IF (DGLIMR.GT.99.9) DGLIMR = 99.9                                 PARA368
                                                                        PARA369
C---- RMS dists from plane for other atoms                              PARA370
      LINE = LINE + 1                                                   PARA371
CHECK v.3.1-->                                                          PARA372
C      READ(1,*,END=902,ERR=904) RNUMB                                  PARA373
      READ(10,*,END=902,ERR=904) RNUMB                                  PARA374
CHECK v.3.1<--                                                          PARA375
      DGLIMP = RNUMB                                                    PARA376
      IF (DGLIMP.LT.0.0) DGLIMP = 0.0                                   PARA377
      IF (DGLIMP.GT.99.9) DGLIMP = 99.9                                 PARA378
                                                                        PARA379
C---- Produce a black-and-white or colour PostScript file               PARA380
      LINE = LINE + 1                                                   PARA381
CHECK v.3.1-->                                                          PARA382
C      READ(1,120,END=902,ERR=904) YESNO                                PARA383
      READ(10,120,END=902,ERR=904) YESNO                                PARA384
CHECK v.3.1<--                                                          PARA385
      IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                          PARA386
          INCOLR(PLTYPE) = .TRUE.                                       PARA387
      ELSE                                                              PARA388
          INCOLR(PLTYPE) = .FALSE.                                      PARA389
      ENDIF                                                             PARA390
                                                                        PARA391
C---- Get each of the user-defined colours for this plot                PARA392
      DO 500, ICOL = 1, 4                                               PARA393
          CALL GETCOL(COLPLT(PLTYPE,ICOL),LINE,COLNAM,MXCOLR)           PARA394
 500  CONTINUE                                                          PARA395
                                                                        PARA396
CHECK v.3.2-->                                                          PARA397
C---- Find whether file-handles are required or not                     PARA398
      CALL FINKEY('File-handles',12,LINE,FINERR)                        PARA399
      IF (.NOT.FINERR) THEN                                             PARA400
                                                                        PARA401
C----     See whether the file-handle is required                       PARA402
          LINE = LINE + 1                                               PARA403
          READ(10,120,END=902,ERR=904) YESNO                            PARA404
          IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                      PARA405
              WITHAN = .TRUE.                                           PARA406
          ELSE                                                          PARA407
              WITHAN = .FALSE.                                          PARA408
          ENDIF                                                         PARA409
                                                                        PARA410
C----     See whether plot filename to be printed on the plot itself    PARA411
          LINE = LINE + 1                                               PARA412
          READ(10,*,END=902,ERR=904)                                    PARA413
          LINE = LINE + 1                                               PARA414
          READ(10,120,END=902,ERR=904) YESNO                            PARA415
          IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                      PARA416
              PLABEL = .TRUE.                                           PARA417
          ELSE                                                          PARA418
              PLABEL = .FALSE.                                          PARA419
          ENDIF                                                         PARA420
                                                                        PARA421
C----     See whether all pages of same plot to be combined in one      PARA422
C         paginated PostScript file                                     PARA423
          LINE = LINE + 1                                               PARA424
          READ(10,120,END=902,ERR=904) YESNO                            PARA425
          IF (YESNO.EQ.'Y' .OR. YESNO.EQ.'y') THEN                      PARA426
              COMBPS = .TRUE.                                           PARA427
          ELSE                                                          PARA428
              COMBPS = .FALSE.                                          PARA429
          ENDIF                                                         PARA430
      ENDIF                                                             PARA431
CHECK v.3.2<--                                                          PARA432
                                                                        PARA433
C---- If all plots are required to be in colour, then set all the       PARA434
C     appropriate flags to TRUE                                         PARA435
      IF (ALLCOL) THEN                                                  PARA436
          DO 600, PLTYPE = 1, 4                                         PARA437
              INCOLR(PLTYPE) = .TRUE.                                   PARA438
 600      CONTINUE                                                      PARA439
      ENDIF                                                             PARA440
                                                                        PARA441
      GO TO 999                                                         PARA442
                                                                        PARA443
                                                                        PARA444
C---- Errors reading parameter file                                     PARA445
900   CONTINUE                                                          PARA446
      PRINT*, '* Parameters file (procheck.prm) not found.'             PARA447
      GO TO 990                                                         PARA448
                                                                        PARA449
 901  CONTINUE                                                          PARA450
      PRINT*, '* Failed to find correct version number in parameters ', PARA451
     &        'file, procheck.prm'                                      PARA452
      GO TO 990                                                         PARA453
                                                                        PARA454
902   CONTINUE                                                          PARA455
      PRINT*, '* Premature end of parameters file, procheck.prm, ',     PARA456
     &        'encountered at line', LINE                               PARA457
      GO TO 990                                                         PARA458
                                                                        PARA459
904   CONTINUE                                                          PARA460
      PRINT*, '* Error reading parameter file, procheck.prm, at ',      PARA461
     &    'line', LINE                                                  PARA462
      GO TO 990                                                         PARA463
                                                                        PARA464
C---- Close the parameter file                                          PARA465
 990  CONTINUE                                                          PARA466
      PRINT*, '* Default values have been assumed for the ',            PARA467
     &    'parameters'                                                  PARA468
      CLOSE(10)                                                         PARA469
                                                                        PARA470
999   CONTINUE                                                          PARA471
      RETURN                                                            PARA472
      END                                                               PARA473
